Name: nautilus-media
Version: 0.2.1
Release: 5.1E
Summary: A Nautilus media package with views and thumbnailers.

Group: User Interface/Desktops
License: LGPL
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Patch1: nautilus-media-0.2.1-nautilus-view.patch
Patch2: nautilus-media-0.2.1-gconf.patch

Requires: 	gstreamer >= 0.6.0
Requires: 	gstreamer-plugins >= 0.6.0

BuildRequires:	gstreamer-devel >= 0.6.0
BuildRequires:	gstreamer-plugins-devel >= 0.6.0
BuildRequires:	nautilus
BuildRequires:	eel2-devel
BuildRequires: automake libtool

%description
This package contains a Nautilus view for audio using GStreamer.

%prep
%setup -n %{name}-%{version}

%patch1 -p1 -b .nautilus-view
%patch2 -p1 -b .gconf

%build
libtoolize --force --copy
automake-1.6
%configure
export tagname=CC
LANG=en_US make LIBTOOL=/usr/bin/libtool

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gst-thumbnail.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done


%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
LANG=en_US %makeinstall LIBTOOL=/usr/bin/libtool
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

#remove unwanted packages
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm $RPM_BUILD_ROOT%{_libdir}/bonobo/*.a
rm $RPM_BUILD_ROOT%{_libdir}/bonobo/*.la

%find_lang %name

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README ChangeLog
%{_bindir}/gst-thumbnail
%{_libdir}/bonobo/servers/*
%{_libdir}/bonobo/*.so
%{_libexecdir}/nautilus-audio-view
%{_datadir}/pixmaps/nautilus-media
%{_datadir}/gnome-2.0/ui/nautilus-audio-view-ui.xml
%{_datadir}/nautilus/glade/audio-properties-view.glade
%{_sysconfdir}/gconf/schemas/*

%changelog
* Tue Sep 16 2003 Alexander Larsson <alexl@redhat.com> 0.2.1-5.1E
- libtoolize

* Wed Aug  6 2003 Elliot Lee <sopwith@redhat.com> 0.2.1-5
- Fix libtool

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun  4 2003 Alexander Larsson <alexl@redhat.com> 0.2.1-3
- Add patch that fixes gconf linking

* Mon Feb 10 2003 Alexander Larsson <alexl@redhat.com> 0.2.1-2
- Add patch to fix the audio properties .server file

* Tue Feb  4 2003 Alexander Larsson <alexl@redhat.com> 0.2.1-1
- update to 0.2.1

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jan  6 2003 Alexander Larsson <alexl@redhat.com> 0.1.0-6
- Remove test component .server file

* Tue Dec 17 2002 Alexander Larsson <alexl@redhat.com> 0.1.0-5
- rebuild with new gstreamer

* Fri Dec 13 2002 Alexander Larsson <alexl@redhat.com> 0.1.0-4
- Excludearch ia64 since it has no gstreamer-plugins yet

* Fri Dec 13 2002 Alexander Larsson <alexl@redhat.com> 0.1.0-3
- Buildreq gstreamer-plugins-devel. Revert last change.

* Fri Dec 13 2002 Alexander Larsson <alexl@redhat.com> 0.1.0-2
- Don't require gstreamer-libs. That doesn't seem to exist

* Fri Dec 13 2002 Alexander Larsson <alexl@redhat.com> 0.1.0-1
- Update to 0.1.0

* Mon Dec  9 2002 Alexander Larsson <alexl@redhat.com>
- Initial package

